<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::PropertyInt Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1PropertyInt.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1PropertyInt-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::PropertyInt Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class <a class="el" href="classOpenSim_1_1PropertyInt.html" title="Class PropertyInt extends class Property.">PropertyInt</a> extends class <a class="el" href="classOpenSim_1_1Property.html" title="A Property&lt;T&gt; is a serializable (name, list-of-values) pair, where each value is of type T.">Property</a>.  
 <a href="classOpenSim_1_1PropertyInt.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::PropertyInt:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1PropertyInt.png" usemap="#OpenSim::PropertyInt_map" alt=""/>
  <map id="OpenSim::PropertyInt_map" name="OpenSim::PropertyInt_map">
<area href="classOpenSim_1_1Property__Deprecated.html" alt="OpenSim::Property_Deprecated" shape="rect" coords="0,56,191,80"/>
<area href="classOpenSim_1_1AbstractProperty.html" title="An abstract property is a serializable (name,value) pair, for which we do not know the type of the va..." alt="OpenSim::AbstractProperty" shape="rect" coords="0,0,191,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a022eb86ae095869d17354ef15a2ca58c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyInt.html#a022eb86ae095869d17354ef15a2ca58c">PropertyInt</a> ()</td></tr>
<tr class="separator:a022eb86ae095869d17354ef15a2ca58c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a304b047d864c83a94f5fceee6865dbff"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyInt.html#a304b047d864c83a94f5fceee6865dbff">PropertyInt</a> (const std::string &amp;aName, int aValue)</td></tr>
<tr class="separator:a304b047d864c83a94f5fceee6865dbff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae964ef9a8560f77079e28e98fcf8a3c4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyInt.html#ae964ef9a8560f77079e28e98fcf8a3c4">PropertyInt</a> (const <a class="el" href="classOpenSim_1_1PropertyInt.html">PropertyInt</a> &amp;aProperty)</td></tr>
<tr class="separator:ae964ef9a8560f77079e28e98fcf8a3c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf24d6d6f7e4b316134a64c78b443e4a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1PropertyInt.html">PropertyInt</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyInt.html#aaf24d6d6f7e4b316134a64c78b443e4a">clone</a> () const override</td></tr>
<tr class="memdesc:aaf24d6d6f7e4b316134a64c78b443e4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a new instance of this concrete property object, containing new copies of this property's values.  <a href="classOpenSim_1_1PropertyInt.html#aaf24d6d6f7e4b316134a64c78b443e4a">More...</a><br /></td></tr>
<tr class="separator:aaf24d6d6f7e4b316134a64c78b443e4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6466f0d90f8b22382b44a9b250a3ba73"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1PropertyInt.html">PropertyInt</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyInt.html#a6466f0d90f8b22382b44a9b250a3ba73">operator=</a> (const <a class="el" href="classOpenSim_1_1PropertyInt.html">PropertyInt</a> &amp;aProperty)</td></tr>
<tr class="separator:a6466f0d90f8b22382b44a9b250a3ba73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83ea06018f8e74b58062a65daee7f741"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyInt.html#a83ea06018f8e74b58062a65daee7f741">assign</a> (const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;that) override</td></tr>
<tr class="memdesc:a83ea06018f8e74b58062a65daee7f741"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assign (copy) property <em>that</em> to this object.  <a href="classOpenSim_1_1PropertyInt.html#a83ea06018f8e74b58062a65daee7f741">More...</a><br /></td></tr>
<tr class="separator:a83ea06018f8e74b58062a65daee7f741"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf51fca49bafabcd5dfe1013feba974e"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyInt.html#acf51fca49bafabcd5dfe1013feba974e">getTypeName</a> () const override</td></tr>
<tr class="memdesc:acf51fca49bafabcd5dfe1013feba974e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This returns a string representation of this property's value type which will be the same as T::getClassName() for Object-derived types T, and some reasonably nice name for simple types, including at least "bool", "int", "double", "string", "Vec3", "Vector", and "Transform".  <a href="classOpenSim_1_1PropertyInt.html#acf51fca49bafabcd5dfe1013feba974e">More...</a><br /></td></tr>
<tr class="separator:acf51fca49bafabcd5dfe1013feba974e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7f7092165903b2e472d5498bce19d7b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyInt.html#ae7f7092165903b2e472d5498bce19d7b">setValue</a> (int aValue) override</td></tr>
<tr class="separator:ae7f7092165903b2e472d5498bce19d7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1af8c7efb3c73ccb3408c0f154699409"><td class="memItemLeft" align="right" valign="top">int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyInt.html#a1af8c7efb3c73ccb3408c0f154699409">getValueInt</a> () override</td></tr>
<tr class="separator:a1af8c7efb3c73ccb3408c0f154699409"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f15b32a109b70bfdbdb36ad73e6a733"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyInt.html#a8f15b32a109b70bfdbdb36ad73e6a733">getValueInt</a> () const override</td></tr>
<tr class="separator:a8f15b32a109b70bfdbdb36ad73e6a733"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e1e1897ae2833f6e9d76dddfeb6c0b0"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertyInt.html#a4e1e1897ae2833f6e9d76dddfeb6c0b0">toString</a> () const override</td></tr>
<tr class="memdesc:a4e1e1897ae2833f6e9d76dddfeb6c0b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">For relatively simple types, return the current value of this property in a string suitable for displaying to a user in the GUI (i.e., this number may be rounded and not an exact representation of the actual value being used).  <a href="classOpenSim_1_1PropertyInt.html#a4e1e1897ae2833f6e9d76dddfeb6c0b0">More...</a><br /></td></tr>
<tr class="separator:a4e1e1897ae2833f6e9d76dddfeb6c0b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1Property__Deprecated"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1Property__Deprecated')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1Property__Deprecated.html">OpenSim::Property_Deprecated</a></td></tr>
<tr class="memitem:ab3151bd2250e7dcebe1bccd465fc3a78 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ab3151bd2250e7dcebe1bccd465fc3a78">Property_Deprecated</a> ()</td></tr>
<tr class="separator:ab3151bd2250e7dcebe1bccd465fc3a78 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac54a9df1fcd7029cf94a6967f90af751 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ac54a9df1fcd7029cf94a6967f90af751">Property_Deprecated</a> (<a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9">PropertyType</a> aType, const std::string &amp;aName)</td></tr>
<tr class="separator:ac54a9df1fcd7029cf94a6967f90af751 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35b5de5d675969249c5f13ecc30db8d3 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a35b5de5d675969249c5f13ecc30db8d3">Property_Deprecated</a> (const <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> &amp;aProperty)</td></tr>
<tr class="separator:a35b5de5d675969249c5f13ecc30db8d3 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d5e00f84260f558380944cadee94bf4 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a2d5e00f84260f558380944cadee94bf4">getPropertyType</a> () const</td></tr>
<tr class="memdesc:a2d5e00f84260f558380944cadee94bf4 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the enum value corresponding to the concrete property.  <a href="classOpenSim_1_1Property__Deprecated.html#a2d5e00f84260f558380944cadee94bf4">More...</a><br /></td></tr>
<tr class="separator:a2d5e00f84260f558380944cadee94bf4 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c5d204e665c282212cc950906fd09b0 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a8c5d204e665c282212cc950906fd09b0">isArrayProperty</a> () const</td></tr>
<tr class="memdesc:a8c5d204e665c282212cc950906fd09b0 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this is an array property.  <a href="classOpenSim_1_1Property__Deprecated.html#a8c5d204e665c282212cc950906fd09b0">More...</a><br /></td></tr>
<tr class="separator:a8c5d204e665c282212cc950906fd09b0 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d753e22088b946ef67ad04ce8ec16cf inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a6d753e22088b946ef67ad04ce8ec16cf">setMatchName</a> (bool aMatchName)</td></tr>
<tr class="memdesc:a6d753e22088b946ef67ad04ce8ec16cf inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">By default deprecated <a class="el" href="classOpenSim_1_1PropertyObj.html" title="Class PropertyObj extends class Property.">PropertyObj</a> properties will ignore the name associated with the read-in object.  <a href="classOpenSim_1_1Property__Deprecated.html#a6d753e22088b946ef67ad04ce8ec16cf">More...</a><br /></td></tr>
<tr class="separator:a6d753e22088b946ef67ad04ce8ec16cf inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a804c4c8103d1339a9582dbe787db852d inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a804c4c8103d1339a9582dbe787db852d">getMatchName</a> () const</td></tr>
<tr class="memdesc:a804c4c8103d1339a9582dbe787db852d inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the value of the matchName flag for this (deprecated) property.  <a href="classOpenSim_1_1Property__Deprecated.html#a804c4c8103d1339a9582dbe787db852d">More...</a><br /></td></tr>
<tr class="separator:a804c4c8103d1339a9582dbe787db852d inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ab4211cdc4d6b436a8085883d7ec4cf inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1ab4211cdc4d6b436a8085883d7ec4cf">isEqualTo</a> (const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;other) const override</td></tr>
<tr class="memdesc:a1ab4211cdc4d6b436a8085883d7ec4cf inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">The base class <a class="el" href="classOpenSim_1_1AbstractProperty.html#ad1343f7d7a5c88d008db435ee44bc869" title="Compare this property with another one; this is primarily used for testing.">equals()</a> method will have already done a lot of checking prior to calling this method, including verifying that both values are non-default and that the value lists are the same size; the concrete property need only compare the values.  <a href="classOpenSim_1_1Property__Deprecated.html#a1ab4211cdc4d6b436a8085883d7ec4cf">More...</a><br /></td></tr>
<tr class="separator:a1ab4211cdc4d6b436a8085883d7ec4cf inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad8a8b155593110e987e8cefd8311d71 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#aad8a8b155593110e987e8cefd8311d71">readFromXMLElement</a> (SimTK::Xml::Element &amp;propertyElement, int versionNumber) override</td></tr>
<tr class="memdesc:aad8a8b155593110e987e8cefd8311d71 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read in a new value for this property from the XML element <em>propertyElement</em>.  <a href="classOpenSim_1_1Property__Deprecated.html#aad8a8b155593110e987e8cefd8311d71">More...</a><br /></td></tr>
<tr class="separator:aad8a8b155593110e987e8cefd8311d71 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a569fdf8d37668f88a4f47af84885d1c1 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a569fdf8d37668f88a4f47af84885d1c1">writeToXMLElement</a> (SimTK::Xml::Element &amp;propertyElement) const override</td></tr>
<tr class="memdesc:a569fdf8d37668f88a4f47af84885d1c1 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOpenSim_1_1Output.html">Output</a> a serialized representation of this property by writing its value to the given XML property element.  <a href="classOpenSim_1_1Property__Deprecated.html#a569fdf8d37668f88a4f47af84885d1c1">More...</a><br /></td></tr>
<tr class="separator:a569fdf8d37668f88a4f47af84885d1c1 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad24f00ef7b1c93d4f696b5b6f8b5503a inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ad24f00ef7b1c93d4f696b5b6f8b5503a">getNumValues</a> () const override</td></tr>
<tr class="memdesc:ad24f00ef7b1c93d4f696b5b6f8b5503a inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">How may values are currently stored in this property? If this is an object property you can use this with <a class="el" href="classOpenSim_1_1Property__Deprecated.html#a6ca7aaa183765cdcae4dfab02f7086b3" title="For an object property, the values can be obtained as references to the abstract base class Object fr...">getValueAsObject()</a> to iterate over the contained objects.  <a href="classOpenSim_1_1Property__Deprecated.html#ad24f00ef7b1c93d4f696b5b6f8b5503a">More...</a><br /></td></tr>
<tr class="separator:ad24f00ef7b1c93d4f696b5b6f8b5503a inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada0874175c22b400de278ee0ea7a8717 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ada0874175c22b400de278ee0ea7a8717">clearValues</a> () override</td></tr>
<tr class="memdesc:ada0874175c22b400de278ee0ea7a8717 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">If the concrete property allows it, clear the value list.  <a href="classOpenSim_1_1Property__Deprecated.html#ada0874175c22b400de278ee0ea7a8717">More...</a><br /></td></tr>
<tr class="separator:ada0874175c22b400de278ee0ea7a8717 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3d62df3368ed5576ef0e4983aca3ac0 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ad3d62df3368ed5576ef0e4983aca3ac0">isUnnamedProperty</a> () const override</td></tr>
<tr class="memdesc:ad3d62df3368ed5576ef0e4983aca3ac0 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">An unnamed property is a one-object property whose name was given as null or as the contained object's type tag.  <a href="classOpenSim_1_1Property__Deprecated.html#ad3d62df3368ed5576ef0e4983aca3ac0">More...</a><br /></td></tr>
<tr class="separator:ad3d62df3368ed5576ef0e4983aca3ac0 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c430e9e7e6d02b885115b6c0f5bc951 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a6c430e9e7e6d02b885115b6c0f5bc951">isObjectProperty</a> () const override</td></tr>
<tr class="memdesc:a6c430e9e7e6d02b885115b6c0f5bc951 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this is an "object property", meaning that its values are all concrete objects of types that ultimately derive from the OpenSim serializable base class <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Property__Deprecated.html#a6c430e9e7e6d02b885115b6c0f5bc951">More...</a><br /></td></tr>
<tr class="separator:a6c430e9e7e6d02b885115b6c0f5bc951 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63675a740c1a72e29e1aadd6c6d5fe23 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a63675a740c1a72e29e1aadd6c6d5fe23">isAcceptableObjectTag</a> (const std::string &amp;objectTypeTag) const override</td></tr>
<tr class="memdesc:a63675a740c1a72e29e1aadd6c6d5fe23 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if the given string is the XML tag name for one of the Object-derived types that is allowed by this property.  <a href="classOpenSim_1_1Property__Deprecated.html#a63675a740c1a72e29e1aadd6c6d5fe23">More...</a><br /></td></tr>
<tr class="separator:a63675a740c1a72e29e1aadd6c6d5fe23 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ca7aaa183765cdcae4dfab02f7086b3 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a6ca7aaa183765cdcae4dfab02f7086b3">getValueAsObject</a> (int index=-1) const override</td></tr>
<tr class="memdesc:a6ca7aaa183765cdcae4dfab02f7086b3 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">For an object property, the values can be obtained as references to the abstract base class <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a> from which all the objects derive.  <a href="classOpenSim_1_1Property__Deprecated.html#a6ca7aaa183765cdcae4dfab02f7086b3">More...</a><br /></td></tr>
<tr class="separator:a6ca7aaa183765cdcae4dfab02f7086b3 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9fba30c78ae57ebe3dc47f85ba8b9f5 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ae9fba30c78ae57ebe3dc47f85ba8b9f5">updValueAsObject</a> (int index=-1) override</td></tr>
<tr class="memdesc:ae9fba30c78ae57ebe3dc47f85ba8b9f5 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get writable access to an existing object value.  <a href="classOpenSim_1_1Property__Deprecated.html#ae9fba30c78ae57ebe3dc47f85ba8b9f5">More...</a><br /></td></tr>
<tr class="separator:ae9fba30c78ae57ebe3dc47f85ba8b9f5 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a173d6b02d45ed830b53f26dbfb6dca8f inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a173d6b02d45ed830b53f26dbfb6dca8f">setValueAsObject</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;obj, int index=-1) override</td></tr>
<tr class="memdesc:a173d6b02d45ed830b53f26dbfb6dca8f inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the indicated value element to a new copy of the supplied object.  <a href="classOpenSim_1_1Property__Deprecated.html#a173d6b02d45ed830b53f26dbfb6dca8f">More...</a><br /></td></tr>
<tr class="separator:a173d6b02d45ed830b53f26dbfb6dca8f inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cb4a1574a8dde16cfe21562efd40b85 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1cb4a1574a8dde16cfe21562efd40b85">setNull</a> ()</td></tr>
<tr class="separator:a1cb4a1574a8dde16cfe21562efd40b85 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2f5ed04cd1d93757545e7ac51b4b138 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ae2f5ed04cd1d93757545e7ac51b4b138">operator=</a> (const <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> &amp;aProperty)</td></tr>
<tr class="separator:ae2f5ed04cd1d93757545e7ac51b4b138 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1445a9e36afec74314173e6958a9dda7 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1445a9e36afec74314173e6958a9dda7">operator==</a> (const <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> &amp;aProperty) const</td></tr>
<tr class="separator:a1445a9e36afec74314173e6958a9dda7 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af19fced3e3e3b70974475ab08f8d27dd inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#af19fced3e3e3b70974475ab08f8d27dd">operator&lt;</a> (const <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> &amp;aProperty) const</td></tr>
<tr class="separator:af19fced3e3e3b70974475ab08f8d27dd inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6d63ed0e40836259df41049cb98fad7 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ab6d63ed0e40836259df41049cb98fad7">setType</a> (<a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9">PropertyType</a> aType)</td></tr>
<tr class="separator:ab6d63ed0e40836259df41049cb98fad7 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c971ff91657fea048f07c0cfa832381 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94ec9aacba0bc70b0dae40cfc26ecaa9">PropertyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a8c971ff91657fea048f07c0cfa832381">getType</a> () const</td></tr>
<tr class="separator:a8c971ff91657fea048f07c0cfa832381 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad332ec5840ab2bf2a83e66f353961f3c inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ad332ec5840ab2bf2a83e66f353961f3c">setValue</a> (bool aValue)</td></tr>
<tr class="separator:ad332ec5840ab2bf2a83e66f353961f3c inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a19bc90c9b49ec0e9a69eb602c02439 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual bool &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1a19bc90c9b49ec0e9a69eb602c02439">getValueBool</a> ()</td></tr>
<tr class="separator:a1a19bc90c9b49ec0e9a69eb602c02439 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19eb7695dd5a4403be70a7a1af54cf42 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual const bool &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a19eb7695dd5a4403be70a7a1af54cf42">getValueBool</a> () const</td></tr>
<tr class="separator:a19eb7695dd5a4403be70a7a1af54cf42 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f375b38481044f8e5587503920d7c42 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a9f375b38481044f8e5587503920d7c42">setValue</a> (double aValue)</td></tr>
<tr class="separator:a9f375b38481044f8e5587503920d7c42 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7d4119f62b72be7477674350873cb00 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ac7d4119f62b72be7477674350873cb00">getValueDbl</a> ()</td></tr>
<tr class="separator:ac7d4119f62b72be7477674350873cb00 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19d5a49a52160164ddc22ee3f33a5deb inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a19d5a49a52160164ddc22ee3f33a5deb">getValueDbl</a> () const</td></tr>
<tr class="separator:a19d5a49a52160164ddc22ee3f33a5deb inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89d318b48e426775386f88fdf0b6dd84 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a89d318b48e426775386f88fdf0b6dd84">setValue</a> (const std::string &amp;aValue)</td></tr>
<tr class="separator:a89d318b48e426775386f88fdf0b6dd84 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37423a375798d37be423bff3c70ead51 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a37423a375798d37be423bff3c70ead51">getValueStr</a> ()</td></tr>
<tr class="separator:a37423a375798d37be423bff3c70ead51 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab06535eb34ba3fa70d9b01f4af2f1fdb inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ab06535eb34ba3fa70d9b01f4af2f1fdb">getValueStr</a> () const</td></tr>
<tr class="separator:ab06535eb34ba3fa70d9b01f4af2f1fdb inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d679cee4824add2c42b81393d790f48 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a8d679cee4824add2c42b81393d790f48">setValue</a> (int aSize, const bool aArray[])</td></tr>
<tr class="separator:a8d679cee4824add2c42b81393d790f48 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ba9affc00474cab5837506dec925048 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a4ba9affc00474cab5837506dec925048">setValue</a> (const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; bool &gt; &amp;aArray)</td></tr>
<tr class="separator:a4ba9affc00474cab5837506dec925048 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6ffab8d2e8255af8494ea8b6feda370 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; bool &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ac6ffab8d2e8255af8494ea8b6feda370">getValueBoolArray</a> ()</td></tr>
<tr class="separator:ac6ffab8d2e8255af8494ea8b6feda370 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3acc09809a1ee3c942a8d0de3eecbb5 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; bool &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#aa3acc09809a1ee3c942a8d0de3eecbb5">getValueBoolArray</a> () const</td></tr>
<tr class="separator:aa3acc09809a1ee3c942a8d0de3eecbb5 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abba797d3d18640889fda3bf086ab38da inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#abba797d3d18640889fda3bf086ab38da">setValue</a> (int aSize, const int aArray[])</td></tr>
<tr class="separator:abba797d3d18640889fda3bf086ab38da inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20fc384e588fd6bcd60f9c14d89a5ae5 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a20fc384e588fd6bcd60f9c14d89a5ae5">setValue</a> (const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; int &gt; &amp;aArray)</td></tr>
<tr class="separator:a20fc384e588fd6bcd60f9c14d89a5ae5 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7828061f28080e1f598c6fd024d943c6 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; int &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a7828061f28080e1f598c6fd024d943c6">getValueIntArray</a> ()</td></tr>
<tr class="separator:a7828061f28080e1f598c6fd024d943c6 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94c9907daa1059df073dce470623bcb1 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; int &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a94c9907daa1059df073dce470623bcb1">getValueIntArray</a> () const</td></tr>
<tr class="separator:a94c9907daa1059df073dce470623bcb1 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98a38196ea0af4d552cfc055014faf25 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a98a38196ea0af4d552cfc055014faf25">setValue</a> (int aSize, const double aArray[])</td></tr>
<tr class="separator:a98a38196ea0af4d552cfc055014faf25 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d6a06182ff5b6106a26fd1947c1f529 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1d6a06182ff5b6106a26fd1947c1f529">setValue</a> (const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; double &gt; &amp;aArray)</td></tr>
<tr class="separator:a1d6a06182ff5b6106a26fd1947c1f529 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5105efe91c918d2927fd8acfb180adb6 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; double &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a5105efe91c918d2927fd8acfb180adb6">getValueDblArray</a> ()</td></tr>
<tr class="separator:a5105efe91c918d2927fd8acfb180adb6 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed613eca7afaebcd901a475afc19103e inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; double &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#aed613eca7afaebcd901a475afc19103e">getValueDblArray</a> () const</td></tr>
<tr class="separator:aed613eca7afaebcd901a475afc19103e inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55edbdab4b7995034a834c2c6697cf3a inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a55edbdab4b7995034a834c2c6697cf3a">setValue</a> (int aSize, const std::string aArray[])</td></tr>
<tr class="separator:a55edbdab4b7995034a834c2c6697cf3a inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dd160d0a0bc88b48883816823d31c3c inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a9dd160d0a0bc88b48883816823d31c3c">setValue</a> (const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; std::string &gt; &amp;aArray)</td></tr>
<tr class="separator:a9dd160d0a0bc88b48883816823d31c3c inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32ebd10f75d9abd8410869594202a601 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; std::string &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a32ebd10f75d9abd8410869594202a601">getValueStrArray</a> ()</td></tr>
<tr class="separator:a32ebd10f75d9abd8410869594202a601 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a44ac4d7c2132e71083c76bd21a6cf6 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; std::string &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1a44ac4d7c2132e71083c76bd21a6cf6">getValueStrArray</a> () const</td></tr>
<tr class="separator:a1a44ac4d7c2132e71083c76bd21a6cf6 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cc503565af6cc4f0281f60c4be50e8a inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a9cc503565af6cc4f0281f60c4be50e8a">isValidObject</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> *aValue) const</td></tr>
<tr class="separator:a9cc503565af6cc4f0281f60c4be50e8a inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a311a67cb18823355397036ca43b3627e inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a311a67cb18823355397036ca43b3627e">getValueObj</a> ()</td></tr>
<tr class="separator:a311a67cb18823355397036ca43b3627e inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a839a4d6d714dfcc0e35963f8e1faa29b inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a839a4d6d714dfcc0e35963f8e1faa29b">getValueObj</a> () const</td></tr>
<tr class="separator:a839a4d6d714dfcc0e35963f8e1faa29b inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d18306a5ed7019f9058019546a32926 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a3d18306a5ed7019f9058019546a32926">setValue</a> (<a class="el" href="classOpenSim_1_1Object.html">Object</a> *aValue)</td></tr>
<tr class="separator:a3d18306a5ed7019f9058019546a32926 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71cc59b968808928148662489c9c4b3d inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a71cc59b968808928148662489c9c4b3d">getValueObjPtr</a> () const</td></tr>
<tr class="separator:a71cc59b968808928148662489c9c4b3d inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11897b71d7572aed634a5d437563f580 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a11897b71d7572aed634a5d437563f580">getValueObjPtr</a> (int index) const</td></tr>
<tr class="separator:a11897b71d7572aed634a5d437563f580 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b992e38e14a6d1977d4dcbb6f4786bf inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a1b992e38e14a6d1977d4dcbb6f4786bf">appendValue</a> (<a class="el" href="classOpenSim_1_1Object.html">Object</a> *obj)</td></tr>
<tr class="separator:a1b992e38e14a6d1977d4dcbb6f4786bf inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab50e9ef98b5f8fcd5374c08ccf2054cb inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ab50e9ef98b5f8fcd5374c08ccf2054cb">clearObjArray</a> ()</td></tr>
<tr class="separator:ab50e9ef98b5f8fcd5374c08ccf2054cb inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a023d9ab133afa06f55ed552e04a73c03 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a023d9ab133afa06f55ed552e04a73c03">getArraySize</a> () const</td></tr>
<tr class="separator:a023d9ab133afa06f55ed552e04a73c03 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7407c2c03361a3d6265f604841ab332e inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a7407c2c03361a3d6265f604841ab332e inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memTemplItemLeft" align="right" valign="top">T &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a7407c2c03361a3d6265f604841ab332e">getValue</a> ()</td></tr>
<tr class="separator:a7407c2c03361a3d6265f604841ab332e inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a090b041250d4cb682b62074796170f44 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a090b041250d4cb682b62074796170f44 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memTemplItemLeft" align="right" valign="top">const T &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a090b041250d4cb682b62074796170f44">getValue</a> () const</td></tr>
<tr class="separator:a090b041250d4cb682b62074796170f44 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dd12e3cb2f7aabcde076e5983c04fe2 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a5dd12e3cb2f7aabcde076e5983c04fe2 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; T &gt; &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a5dd12e3cb2f7aabcde076e5983c04fe2">getValueArray</a> ()</td></tr>
<tr class="separator:a5dd12e3cb2f7aabcde076e5983c04fe2 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a340bf783f20bfaf22c9696d268f54ff6 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a340bf783f20bfaf22c9696d268f54ff6 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memTemplItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; T &gt; &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a340bf783f20bfaf22c9696d268f54ff6">getValueArray</a> () const</td></tr>
<tr class="separator:a340bf783f20bfaf22c9696d268f54ff6 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0c918cebd76b21511847b65e5ada241 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">template&lt;&gt; </td></tr>
<tr class="memitem:ae0c918cebd76b21511847b65e5ada241 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memTemplItemLeft" align="right" valign="top">bool &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#ae0c918cebd76b21511847b65e5ada241">getValue</a> ()</td></tr>
<tr class="separator:ae0c918cebd76b21511847b65e5ada241 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ccc53cd8d30d6511cf17580d8afaeb7 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">template&lt;&gt; </td></tr>
<tr class="memitem:a4ccc53cd8d30d6511cf17580d8afaeb7 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memTemplItemLeft" align="right" valign="top">const bool &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a4ccc53cd8d30d6511cf17580d8afaeb7">getValue</a> () const</td></tr>
<tr class="separator:a4ccc53cd8d30d6511cf17580d8afaeb7 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cd2cd8be335d9cb0aaafa37f0d51503 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">template&lt;&gt; </td></tr>
<tr class="memitem:a7cd2cd8be335d9cb0aaafa37f0d51503 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; bool &gt; &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a7cd2cd8be335d9cb0aaafa37f0d51503">getValueArray</a> ()</td></tr>
<tr class="separator:a7cd2cd8be335d9cb0aaafa37f0d51503 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d552e5687965b423e1a4e5feb939036 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memItemLeft" align="right" valign="top">template&lt;&gt; </td></tr>
<tr class="memitem:a6d552e5687965b423e1a4e5feb939036 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memTemplItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; bool &gt; &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Property__Deprecated.html#a6d552e5687965b423e1a4e5feb939036">getValueArray</a> () const</td></tr>
<tr class="separator:a6d552e5687965b423e1a4e5feb939036 inherit pub_methods_classOpenSim_1_1Property__Deprecated"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1AbstractProperty"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1AbstractProperty')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td></tr>
<tr class="memitem:a0685f52599efbdd68462babddd4859e4 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a0685f52599efbdd68462babddd4859e4">setAllowableListSize</a> (int aMin, int aMax)</td></tr>
<tr class="memdesc:a0685f52599efbdd68462babddd4859e4 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Require that the number of values n in the value list of this property be in the range aMin &lt;= n &lt;= aMax.  <a href="classOpenSim_1_1AbstractProperty.html#a0685f52599efbdd68462babddd4859e4">More...</a><br /></td></tr>
<tr class="separator:a0685f52599efbdd68462babddd4859e4 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26c9f2020339f49a08a9a3a3a37adc5f inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a26c9f2020339f49a08a9a3a3a37adc5f">setAllowableListSize</a> (int aNum)</td></tr>
<tr class="memdesc:a26c9f2020339f49a08a9a3a3a37adc5f inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Require that the number of values n in the value list of this property be exactly n=aNum values.  <a href="classOpenSim_1_1AbstractProperty.html#a26c9f2020339f49a08a9a3a3a37adc5f">More...</a><br /></td></tr>
<tr class="separator:a26c9f2020339f49a08a9a3a3a37adc5f inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab21326774230e4921d6e912bbb1bb71 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#aab21326774230e4921d6e912bbb1bb71">~AbstractProperty</a> ()</td></tr>
<tr class="memdesc:aab21326774230e4921d6e912bbb1bb71 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return all heap space used by this property.  <a href="classOpenSim_1_1AbstractProperty.html#aab21326774230e4921d6e912bbb1bb71">More...</a><br /></td></tr>
<tr class="separator:aab21326774230e4921d6e912bbb1bb71 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea10289debd97d3a1087b0ddbd2bbb07 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#aea10289debd97d3a1087b0ddbd2bbb07">toStringForDisplay</a> (const int precision) const</td></tr>
<tr class="memdesc:aea10289debd97d3a1087b0ddbd2bbb07 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">For relatively simple types, return the current value of this property in a string suitable for displaying to a user in the GUI (i.e., this number may be rounded and not an exact representation of the actual value being used).  <a href="classOpenSim_1_1AbstractProperty.html#aea10289debd97d3a1087b0ddbd2bbb07">More...</a><br /></td></tr>
<tr class="separator:aea10289debd97d3a1087b0ddbd2bbb07 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1343f7d7a5c88d008db435ee44bc869 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ad1343f7d7a5c88d008db435ee44bc869">equals</a> (const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;other) const</td></tr>
<tr class="memdesc:ad1343f7d7a5c88d008db435ee44bc869 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compare this property with another one; this is primarily used for testing.  <a href="classOpenSim_1_1AbstractProperty.html#ad1343f7d7a5c88d008db435ee44bc869">More...</a><br /></td></tr>
<tr class="separator:ad1343f7d7a5c88d008db435ee44bc869 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68f4d355d682e7d0cf4ec33e7a3553de inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a68f4d355d682e7d0cf4ec33e7a3553de">isSamePropertyClass</a> (const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;other) const</td></tr>
<tr class="memdesc:a68f4d355d682e7d0cf4ec33e7a3553de inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if the <em>other</em> property is an object of exactly the same concrete class as this one.  <a href="classOpenSim_1_1AbstractProperty.html#a68f4d355d682e7d0cf4ec33e7a3553de">More...</a><br /></td></tr>
<tr class="separator:a68f4d355d682e7d0cf4ec33e7a3553de inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26105c68088639cfac2a55206c6a9e65 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a26105c68088639cfac2a55206c6a9e65">operator==</a> (const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;other) const</td></tr>
<tr class="memdesc:a26105c68088639cfac2a55206c6a9e65 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">See the <a class="el" href="classOpenSim_1_1AbstractProperty.html#ad1343f7d7a5c88d008db435ee44bc869" title="Compare this property with another one; this is primarily used for testing.">equals()</a> method for the meaning of this operator.  <a href="classOpenSim_1_1AbstractProperty.html#a26105c68088639cfac2a55206c6a9e65">More...</a><br /></td></tr>
<tr class="separator:a26105c68088639cfac2a55206c6a9e65 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab47ef97b89f66793a42c7712275938b5 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ab47ef97b89f66793a42c7712275938b5">setAllPropertiesUseDefault</a> (bool shouldUseDefault)</td></tr>
<tr class="memdesc:ab47ef97b89f66793a42c7712275938b5 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the "use default" flag for this property and the properties of any objects it contains to the given value.  <a href="classOpenSim_1_1AbstractProperty.html#ab47ef97b89f66793a42c7712275938b5">More...</a><br /></td></tr>
<tr class="separator:ab47ef97b89f66793a42c7712275938b5 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2f988432f0ac82f5e4c787879c16b3e inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ae2f988432f0ac82f5e4c787879c16b3e">readFromXMLParentElement</a> (SimTK::Xml::Element &amp;parent, int versionNumber)</td></tr>
<tr class="memdesc:ae2f988432f0ac82f5e4c787879c16b3e inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Given an XML parent element expected to contain a value for this property as an immediate child element, find that property element and set the property value from it.  <a href="classOpenSim_1_1AbstractProperty.html#ae2f988432f0ac82f5e4c787879c16b3e">More...</a><br /></td></tr>
<tr class="separator:ae2f988432f0ac82f5e4c787879c16b3e inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d3ebd934bc118f3422ced85b5990f70 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a2d3ebd934bc118f3422ced85b5990f70">writeToXMLParentElement</a> (SimTK::Xml::Element &amp;parent) const</td></tr>
<tr class="memdesc:a2d3ebd934bc118f3422ced85b5990f70 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Given an XML parent element, append a single child element representing the serialized form of this property.  <a href="classOpenSim_1_1AbstractProperty.html#a2d3ebd934bc118f3422ced85b5990f70">More...</a><br /></td></tr>
<tr class="separator:a2d3ebd934bc118f3422ced85b5990f70 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af29bdc3ab4adbbfe954aed4a0780bee7 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#af29bdc3ab4adbbfe954aed4a0780bee7">setName</a> (const std::string &amp;name)</td></tr>
<tr class="memdesc:af29bdc3ab4adbbfe954aed4a0780bee7 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the property name.  <a href="classOpenSim_1_1AbstractProperty.html#af29bdc3ab4adbbfe954aed4a0780bee7">More...</a><br /></td></tr>
<tr class="separator:af29bdc3ab4adbbfe954aed4a0780bee7 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac1cfb86a10115441ef84be3148c0c7d inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#aac1cfb86a10115441ef84be3148c0c7d">setComment</a> (const std::string &amp;aComment)</td></tr>
<tr class="memdesc:aac1cfb86a10115441ef84be3148c0c7d inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a user-friendly comment to be associated with property.  <a href="classOpenSim_1_1AbstractProperty.html#aac1cfb86a10115441ef84be3148c0c7d">More...</a><br /></td></tr>
<tr class="separator:aac1cfb86a10115441ef84be3148c0c7d inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10ec6fb0a5d6beaef87cf228b34d48cf inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a10ec6fb0a5d6beaef87cf228b34d48cf">setValueIsDefault</a> (bool isDefault)</td></tr>
<tr class="memdesc:a10ec6fb0a5d6beaef87cf228b34d48cf inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set flag indicating whether the value of this property was simply taken from a default object and thus should not be written out when serializing.  <a href="classOpenSim_1_1AbstractProperty.html#a10ec6fb0a5d6beaef87cf228b34d48cf">More...</a><br /></td></tr>
<tr class="separator:a10ec6fb0a5d6beaef87cf228b34d48cf inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8da380c1f75c9f87cfd930e773aed4ad inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a8da380c1f75c9f87cfd930e773aed4ad">getName</a> () const</td></tr>
<tr class="memdesc:a8da380c1f75c9f87cfd930e773aed4ad inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the property name.  <a href="classOpenSim_1_1AbstractProperty.html#a8da380c1f75c9f87cfd930e773aed4ad">More...</a><br /></td></tr>
<tr class="separator:a8da380c1f75c9f87cfd930e773aed4ad inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a862facc6c0b005266819332626dfacc5 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a862facc6c0b005266819332626dfacc5">getComment</a> () const</td></tr>
<tr class="memdesc:a862facc6c0b005266819332626dfacc5 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the comment associated with this property.  <a href="classOpenSim_1_1AbstractProperty.html#a862facc6c0b005266819332626dfacc5">More...</a><br /></td></tr>
<tr class="separator:a862facc6c0b005266819332626dfacc5 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade3bc39f66b759a8a807429161576ad1 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ade3bc39f66b759a8a807429161576ad1">getValueIsDefault</a> () const</td></tr>
<tr class="memdesc:ade3bc39f66b759a8a807429161576ad1 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the flag indicating whether the current value is just the default value for this property (in which case it doesn't need to be written out).  <a href="classOpenSim_1_1AbstractProperty.html#ade3bc39f66b759a8a807429161576ad1">More...</a><br /></td></tr>
<tr class="separator:ade3bc39f66b759a8a807429161576ad1 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f536d90bb3e5f400e540db08511f096 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a5f536d90bb3e5f400e540db08511f096">getMinListSize</a> () const</td></tr>
<tr class="memdesc:a5f536d90bb3e5f400e540db08511f096 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the minimum number of values allowed in this property's value list.  <a href="classOpenSim_1_1AbstractProperty.html#a5f536d90bb3e5f400e540db08511f096">More...</a><br /></td></tr>
<tr class="separator:a5f536d90bb3e5f400e540db08511f096 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8e6da1b1f16d4e9c230487193979298 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ac8e6da1b1f16d4e9c230487193979298">getMaxListSize</a> () const</td></tr>
<tr class="memdesc:ac8e6da1b1f16d4e9c230487193979298 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the maximum number of values allowed in this property's value list.  <a href="classOpenSim_1_1AbstractProperty.html#ac8e6da1b1f16d4e9c230487193979298">More...</a><br /></td></tr>
<tr class="separator:ac8e6da1b1f16d4e9c230487193979298 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc70adbf3a2a0fe683b9ffbdcfc52bfc inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#abc70adbf3a2a0fe683b9ffbdcfc52bfc">isOptionalProperty</a> () const</td></tr>
<tr class="memdesc:abc70adbf3a2a0fe683b9ffbdcfc52bfc inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is an "optional" property if its value list can contain at most one value.  <a href="classOpenSim_1_1AbstractProperty.html#abc70adbf3a2a0fe683b9ffbdcfc52bfc">More...</a><br /></td></tr>
<tr class="separator:abc70adbf3a2a0fe683b9ffbdcfc52bfc inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f70dd571c232d2a9f7ab64406499e88 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a7f70dd571c232d2a9f7ab64406499e88">isListProperty</a> () const</td></tr>
<tr class="memdesc:a7f70dd571c232d2a9f7ab64406499e88 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a "list" property if its value list can contain more than one value.  <a href="classOpenSim_1_1AbstractProperty.html#a7f70dd571c232d2a9f7ab64406499e88">More...</a><br /></td></tr>
<tr class="separator:a7f70dd571c232d2a9f7ab64406499e88 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1caab24d637ef7f88244c97bb5ce8ffe inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a1caab24d637ef7f88244c97bb5ce8ffe">isOneValueProperty</a> () const</td></tr>
<tr class="memdesc:a1caab24d637ef7f88244c97bb5ce8ffe inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a "one-value" property if its value list must always contain exactly one value.  <a href="classOpenSim_1_1AbstractProperty.html#a1caab24d637ef7f88244c97bb5ce8ffe">More...</a><br /></td></tr>
<tr class="separator:a1caab24d637ef7f88244c97bb5ce8ffe inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae968e7a8df7fbabf28dc6f168d5ca134 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ae968e7a8df7fbabf28dc6f168d5ca134">isOneObjectProperty</a> () const</td></tr>
<tr class="memdesc:ae968e7a8df7fbabf28dc6f168d5ca134 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a "one-object" property if it is a "one-value" property and it contains an Object-derived value.  <a href="classOpenSim_1_1AbstractProperty.html#ae968e7a8df7fbabf28dc6f168d5ca134">More...</a><br /></td></tr>
<tr class="separator:ae968e7a8df7fbabf28dc6f168d5ca134 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7505a815a881580e46b84c260654a2c inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ad7505a815a881580e46b84c260654a2c">size</a> () const</td></tr>
<tr class="memdesc:ad7505a815a881580e46b84c260654a2c inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the number of values currently in this property's value list.  <a href="classOpenSim_1_1AbstractProperty.html#ad7505a815a881580e46b84c260654a2c">More...</a><br /></td></tr>
<tr class="separator:ad7505a815a881580e46b84c260654a2c inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac27428a81d54724a7ba0c6a3cb187a75 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ac27428a81d54724a7ba0c6a3cb187a75">empty</a> () const</td></tr>
<tr class="memdesc:ac27428a81d54724a7ba0c6a3cb187a75 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this property's value list is currently empty.  <a href="classOpenSim_1_1AbstractProperty.html#ac27428a81d54724a7ba0c6a3cb187a75">More...</a><br /></td></tr>
<tr class="separator:ac27428a81d54724a7ba0c6a3cb187a75 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ec8c00426c6841139be00515e749713 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a5ec8c00426c6841139be00515e749713">clear</a> ()</td></tr>
<tr class="memdesc:a5ec8c00426c6841139be00515e749713 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Empty the value list for this property; fails if zero is not an allowable size for this property.  <a href="classOpenSim_1_1AbstractProperty.html#a5ec8c00426c6841139be00515e749713">More...</a><br /></td></tr>
<tr class="separator:a5ec8c00426c6841139be00515e749713 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9635d07249fbd05ce8c1fe0d751aec35 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a9635d07249fbd05ce8c1fe0d751aec35 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memTemplItemLeft" align="right" valign="top">const T &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a9635d07249fbd05ce8c1fe0d751aec35">getValue</a> (int index=-1) const</td></tr>
<tr class="memdesc:a9635d07249fbd05ce8c1fe0d751aec35 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return one of the values in this property as type T; this works only if the underlying concrete property stores type T and if the indexed element is present, otherwise throws an exception.  <a href="classOpenSim_1_1AbstractProperty.html#a9635d07249fbd05ce8c1fe0d751aec35">More...</a><br /></td></tr>
<tr class="separator:a9635d07249fbd05ce8c1fe0d751aec35 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08cd08421dc135dface6cb9fb3d1e1c1 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a08cd08421dc135dface6cb9fb3d1e1c1 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memTemplItemLeft" align="right" valign="top">T &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a08cd08421dc135dface6cb9fb3d1e1c1">updValue</a> (int index=-1)</td></tr>
<tr class="memdesc:a08cd08421dc135dface6cb9fb3d1e1c1 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a writable reference to one of the values in this property as type T; this works only if the underlying concrete property is actually of type T and the indexed element is present.  <a href="classOpenSim_1_1AbstractProperty.html#a08cd08421dc135dface6cb9fb3d1e1c1">More...</a><br /></td></tr>
<tr class="separator:a08cd08421dc135dface6cb9fb3d1e1c1 inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05726a6ab0bee46b8f2b07a8931fd90a inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a05726a6ab0bee46b8f2b07a8931fd90a inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memTemplItemLeft" align="right" valign="top">int&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a05726a6ab0bee46b8f2b07a8931fd90a">appendValue</a> (const T &amp;value)</td></tr>
<tr class="memdesc:a05726a6ab0bee46b8f2b07a8931fd90a inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a new value of type T to the end of the list of values currently contained in this property.  <a href="classOpenSim_1_1AbstractProperty.html#a05726a6ab0bee46b8f2b07a8931fd90a">More...</a><br /></td></tr>
<tr class="separator:a05726a6ab0bee46b8f2b07a8931fd90a inherit pub_methods_classOpenSim_1_1AbstractProperty"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>Class <a class="el" href="classOpenSim_1_1PropertyInt.html" title="Class PropertyInt extends class Property.">PropertyInt</a> extends class <a class="el" href="classOpenSim_1_1Property.html" title="A Property&lt;T&gt; is a serializable (name, list-of-values) pair, where each value is of type T.">Property</a>. </p>
<p>It consists of an integer value and the methods for accessing and modifying this value.</p>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
<dl class="section author"><dt>Author</dt><dd>Frank C. Anderson </dd></dl>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a022eb86ae095869d17354ef15a2ca58c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a022eb86ae095869d17354ef15a2ca58c">&#9670;&nbsp;</a></span>PropertyInt() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::PropertyInt::PropertyInt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a304b047d864c83a94f5fceee6865dbff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a304b047d864c83a94f5fceee6865dbff">&#9670;&nbsp;</a></span>PropertyInt() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::PropertyInt::PropertyInt </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>aName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae964ef9a8560f77079e28e98fcf8a3c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae964ef9a8560f77079e28e98fcf8a3c4">&#9670;&nbsp;</a></span>PropertyInt() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::PropertyInt::PropertyInt </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1PropertyInt.html">PropertyInt</a> &amp;&#160;</td>
          <td class="paramname"><em>aProperty</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a83ea06018f8e74b58062a65daee7f741"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83ea06018f8e74b58062a65daee7f741">&#9670;&nbsp;</a></span>assign()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::PropertyInt::assign </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;&#160;</td>
          <td class="paramname"><em>that</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Assign (copy) property <em>that</em> to this object. </p>

<p>Implements <a class="el" href="classOpenSim_1_1AbstractProperty.html#a432c98206f8a695119818f45a0c75204">OpenSim::AbstractProperty</a>.</p>

</div>
</div>
<a id="aaf24d6d6f7e4b316134a64c78b443e4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf24d6d6f7e4b316134a64c78b443e4a">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1PropertyInt.html">PropertyInt</a>* OpenSim::PropertyInt::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return a new instance of this concrete property object, containing new copies of this property's values. </p>
<p>The new property object is allocated on the heap and it is up to the caller to delete it when done. </p>

<p>Implements <a class="el" href="classOpenSim_1_1Property__Deprecated.html#a56865e2b0ba438e08ba188b85bb0cedb">OpenSim::Property_Deprecated</a>.</p>

</div>
</div>
<a id="acf51fca49bafabcd5dfe1013feba974e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf51fca49bafabcd5dfe1013feba974e">&#9670;&nbsp;</a></span>getTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string OpenSim::PropertyInt::getTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This returns a string representation of this property's value type which will be the same as T::getClassName() for Object-derived types T, and some reasonably nice name for simple types, including at least "bool", "int", "double", "string", "Vec3", "Vector", and "Transform". </p>

<p>Implements <a class="el" href="classOpenSim_1_1Property__Deprecated.html#a5da15c8063486544f20f86a7056183d4">OpenSim::Property_Deprecated</a>.</p>

</div>
</div>
<a id="a8f15b32a109b70bfdbdb36ad73e6a733"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f15b32a109b70bfdbdb36ad73e6a733">&#9670;&nbsp;</a></span>getValueInt() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int&amp; OpenSim::PropertyInt::getValueInt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classOpenSim_1_1Property__Deprecated.html#a03d470622b792b1be631465c83913fce">OpenSim::Property_Deprecated</a>.</p>

</div>
</div>
<a id="a1af8c7efb3c73ccb3408c0f154699409"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1af8c7efb3c73ccb3408c0f154699409">&#9670;&nbsp;</a></span>getValueInt() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int&amp; OpenSim::PropertyInt::getValueInt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classOpenSim_1_1Property__Deprecated.html#a96e0f4494d4eaf1a2624505b96477a44">OpenSim::Property_Deprecated</a>.</p>

</div>
</div>
<a id="a6466f0d90f8b22382b44a9b250a3ba73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6466f0d90f8b22382b44a9b250a3ba73">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1PropertyInt.html">PropertyInt</a>&amp; OpenSim::PropertyInt::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1PropertyInt.html">PropertyInt</a> &amp;&#160;</td>
          <td class="paramname"><em>aProperty</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae7f7092165903b2e472d5498bce19d7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7f7092165903b2e472d5498bce19d7b">&#9670;&nbsp;</a></span>setValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::PropertyInt::setValue </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classOpenSim_1_1Property__Deprecated.html#ac9c7de292934d7c21d627888d603e85a">OpenSim::Property_Deprecated</a>.</p>

</div>
</div>
<a id="a4e1e1897ae2833f6e9d76dddfeb6c0b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e1e1897ae2833f6e9d76dddfeb6c0b0">&#9670;&nbsp;</a></span>toString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string OpenSim::PropertyInt::toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>For relatively simple types, return the current value of this property in a string suitable for displaying to a user in the GUI (i.e., this number may be rounded and not an exact representation of the actual value being used). </p>
<p>Objects just return something like "(Object)". For <code><a class="el" href="classOpenSim_1_1Property.html" title="A Property&lt;T&gt; is a serializable (name, list-of-values) pair, where each value is of type T.">Property</a></code>s, This function calls <code><a class="el" href="classOpenSim_1_1AbstractProperty.html#aea10289debd97d3a1087b0ddbd2bbb07" title="For relatively simple types, return the current value of this property in a string suitable for displ...">toStringForDisplay()</a></code> with <code>precision = 6</code>. </p>

<p>Implements <a class="el" href="classOpenSim_1_1Property__Deprecated.html#a3040fc166e3f74eeff96ac399d0dd80b">OpenSim::Property_Deprecated</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/PropertyInt.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1PropertyInt.html">PropertyInt</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:49 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
